<?php
/**
* Yahoo Stock Quote module
* This module allows you to display stock quotes from Yahoo Finance in a module position.
* Author: kksou
* Copyright (C) 2006-2008. kksou.com. All Rights Reserved
* Website: http://www.kksou.com/php-gtk2
* v1.5 September 1, 2008
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');

require_once('yahoo_code.php');

class modYahooStockQuoteHelper {

	function getContent(&$params) {
		$a = new stdClass;
		$a->submit_button_label = strval( $params->get( 'submit_button_label', 'Get Quotes') );
		$a->style = strval( $params->get( 'style', '1') );

		global $yahoo_code;

		foreach($yahoo_code as $k=>$v) {
			$a->$k = intval( $params->get( $k, $v[3]) );
		}

		$a->input_size = strval( $params->get( 'input_size', '20') );
		$a->refresh_frequency = strval( $params->get( 'refresh_frequency', '5') );
		$a->default_symbols = strval( $params->get( 'default_symbols', 'GOOG,MSFT,YHOO') );

		# added 080917
		$a->show_progress = intval( $params->get( 'show_progress', '1') );
		$a->progress_gif = strval( $params->get( 'progress_gif', 'progress.gif') );

		# added 090623
		$a->use_curl = intval( $params->get( 'use_curl', '1') );
		$a->dateformat = strval( $params->get( 'dateformat', 'n/j/Y') );
		$a->global_time_offset = strval( $params->get( 'global_time_offset', '0') );
		$a->global_timezone_name = strval( $params->get( 'global_timezone_name', '') );
		$a->hide_searchfield = intval( $params->get( 'hide_searchfield', '0') );

		return $a;
	}
}
